Index: trunk/SophyaLib/NTools/Makefile.mgr
===================================================================
--- trunk/SophyaLib/NTools/Makefile.mgr	(revision 2735)
+++ trunk/SophyaLib/NTools/Makefile.mgr	(revision 2735)
@@ -0,0 +1,458 @@
+include ../Mgr/Makefile.h
+ 
+all: $(LIB)libNTools.a
+clean:
+	rm -f $(OBJ)FSAppIrrSmpl.o $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)difeq.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftmserver.o $(OBJ)fftpserver.o $(OBJ)fftservintf.o $(OBJ)functab.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)imageop.o $(OBJ)integ.o $(OBJ)median.o $(OBJ)ntoolsinit.o $(OBJ)objfitter.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)simplesort.o $(OBJ)simplex.o $(OBJ)tabmath.o $(OBJ)datime.o $(OBJ)fftmayer_r4.o $(OBJ)fftmayer_r8.o $(OBJ)fftpackc.o $(OBJ)matxop.o $(OBJ)nbmath.o $(OBJ)nbtri.o
+	rm -f $(LIB)libNTools.a
+$(LIB)libNTools.a : $(OBJ)FSAppIrrSmpl.o $(OBJ)cimage.o $(OBJ)cspline.o $(OBJ)datatypes.o $(OBJ)dates.o $(OBJ)datime.o $(OBJ)difeq.o $(OBJ)dynccd.o $(OBJ)fct1dfit.o $(OBJ)fct2dfit.o $(OBJ)fftmayer_r4.o $(OBJ)fftmayer_r8.o $(OBJ)fftmserver.o $(OBJ)fftpackc.o $(OBJ)fftpserver.o $(OBJ)fftservintf.o $(OBJ)functab.o $(OBJ)generaldata.o $(OBJ)generalfit.o $(OBJ)integ.o $(OBJ)matxop.o $(OBJ)median.o $(OBJ)nbmath.o $(OBJ)nbtri.o $(OBJ)ntoolsinit.o $(OBJ)objfitter.o $(OBJ)perandom.o $(OBJ)poly.o $(OBJ)rk4cdifeq.o $(OBJ)simplesort.o $(OBJ)simplex.o $(OBJ)tabmath.o
+	$(ARCXX) $(ARCXXFLAGS) $@ $($(ARARGS))
+ifeq ($(CXX),cxx)
+	$(CXX) $? $(CPPFLAGS) $(CXXFLAGS) -o $(OBJ)xx.x -Hf
+endif 
+ 
+$(OBJ)FSAppIrrSmpl.o: FSAppIrrSmpl.cc $(INC)sopnamsp.h \
+  FSAppIrrSmpl.h $(INC)machdefs.h nbmath.h \
+  $(INC)smathconst.h \
+  $(INC)timing.h \
+  $(INC)array.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)tmatrix.h \
+  $(INC)tvector.h \
+  $(INC)matharr.h \
+  $(INC)fioarr.h \
+  $(INC)sopemtx.h fftservintf.h fftpserver.h \
+  $(INC)toeplitzMatrix.h \
+  $(INC)nbmath.h \
+  $(INC)fftservintf.h \
+  $(INC)fftpserver.h
+$(OBJ)cimage.o: cimage.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h cimage.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)fioarr.h \
+  $(INC)tvector.h \
+  $(INC)datatype.h
+$(OBJ)cspline.o: cspline.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h nbtri.h cspline.h \
+  $(INC)pexceptions.h
+$(OBJ)datatypes.o: datatypes.cc $(INC)sopnamsp.h \
+  datatypes.h $(INC)machdefs.h
+$(OBJ)dates.o: dates.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h \
+  $(INC)perrors.h \
+  $(INC)pexceptions.h dates.h
+$(OBJ)difeq.o: difeq.cc $(INC)sopnamsp.h difeq.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)ctimer.h
+$(OBJ)dynccd.o: dynccd.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h fmath.h perandom.h \
+  $(INC)histos.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h nbrandom.h \
+  $(INC)srandgen.h cimage.h \
+  $(INC)fioarr.h dynccd.h
+$(OBJ)fct1dfit.o: fct1dfit.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h fct1dfit.h generalfit.h \
+  $(INC)pexceptions.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h nbconst.h tabmath.h
+$(OBJ)fct2dfit.o: fct2dfit.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h fct2dfit.h generalfit.h \
+  $(INC)pexceptions.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h nbconst.h tabmath.h \
+  simps2d.h
+$(OBJ)fftmserver.o: fftmserver.cc $(INC)sopnamsp.h \
+  fftmserver.h fftservintf.h $(INC)machdefs.h \
+  $(INC)pexceptions.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)tvector.h fftmayer.h
+$(OBJ)fftpserver.o: fftpserver.cc $(INC)sopnamsp.h \
+  fftpserver.h fftservintf.h $(INC)machdefs.h \
+  $(INC)pexceptions.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)tvector.h fftpackc.h
+$(OBJ)fftservintf.o: fftservintf.cc $(INC)sopnamsp.h \
+  fftservintf.h $(INC)machdefs.h \
+  $(INC)pexceptions.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)tvector.h
+$(OBJ)functab.o: functab.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h functab.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h
+$(OBJ)generaldata.o: generaldata.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h \
+  $(INC)strutil.h nbtri.h generalfit.h \
+  $(INC)pexceptions.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h
+$(OBJ)generalfit.o: generalfit.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h generalfit.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h \
+  $(INC)sopemtx.h
+$(OBJ)integ.o: integ.cc $(INC)sopnamsp.h integ.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h classfunc.h generalfit.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h
+$(OBJ)median.o: median.cc
+$(OBJ)ntoolsinit.o: ntoolsinit.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h ntoolsinit.h \
+  $(INC)tarrinit.h \
+  $(INC)sophyainit.h poly.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generaldata.h \
+  $(INC)ntupintf.h cimage.h \
+  $(INC)fioarr.h tabmath.h nbconst.h dates.h \
+  datime.h
+$(OBJ)objfitter.o: objfitter.cc $(INC)sopnamsp.h \
+  objfitter.h $(INC)machdefs.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h cimage.h \
+  $(INC)fioarr.h \
+  $(INC)tvector.h \
+  $(INC)histos.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)fmath.h \
+  $(INC)histos2.h \
+  $(INC)hisprof.h generalfit.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h
+$(OBJ)perandom.o: perandom.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h \
+  $(INC)pexceptions.h perandom.h \
+  $(INC)histos.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h nbrandom.h \
+  $(INC)srandgen.h pemath.h
+$(OBJ)poly.o: poly.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h poly.h \
+  $(INC)objfio.h \
+  $(INC)anydataobj.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h linfit.h \
+  $(INC)sopemtx.h \
+  $(INC)fioarr.h
+$(OBJ)rk4cdifeq.o: rk4cdifeq.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h rk4cdifeq.h difeq.h \
+  $(INC)pexceptions.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h \
+  $(INC)ctimer.h
+$(OBJ)simplesort.o: simplesort.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h simplesort.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)pexceptions.h fmath.h
+$(OBJ)simplex.o: simplex.cc $(INC)sopnamsp.h simplex.h \
+  $(INC)machdefs.h \
+  $(INC)tvector.h \
+  $(INC)tmatrix.h \
+  $(INC)tarray.h \
+  $(INC)basarr.h \
+  $(INC)anydataobj.h \
+  $(INC)mutyv.h \
+  $(INC)dvlist.h \
+  $(INC)objfio.h \
+  $(INC)ppersist.h \
+  $(INC)pexceptions.h \
+  $(INC)gnumd5.h \
+  $(INC)ppfbinstream.h \
+  $(INC)rawstream.h \
+  $(INC)ppfnametag.h \
+  $(INC)ndatablock.h \
+  $(INC)utilarr.h generalfit.h generaldata.h \
+  $(INC)ntupintf.h poly.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h fmath.h \
+  $(INC)ntuple.h \
+  $(INC)timing.h
+$(OBJ)tabmath.o: tabmath.cc $(INC)sopnamsp.h \
+  $(INC)machdefs.h tabmath.h peida.h \
+  $(INC)utils.h \
+  $(INC)perrors.h \
+  $(INC)pexceptions.h fmath.h nbconst.h
+$(OBJ)datime.o: datime.c $(INC)machdefs.h \
+  $(INC)strutil.h nbconst.h datime.h
+$(OBJ)fftmayer_r4.o: fftmayer_r4.c fftmayer.h \
+  $(INC)machdefs.h trigtbl.h
+$(OBJ)fftmayer_r8.o: fftmayer_r8.c fftmayer.h \
+  $(INC)machdefs.h trigtbl.h
+$(OBJ)fftpackc.o: fftpackc.c fftpackc.h \
+  $(INC)machdefs.h
+$(OBJ)matxop.o: matxop.c matxop.h nbmath.h \
+  $(INC)machdefs.h \
+  $(INC)smathconst.h
+$(OBJ)nbmath.o: nbmath.c nbmath.h $(INC)machdefs.h \
+  $(INC)smathconst.h matxop.h nbinteg.h nbtri.h
+$(OBJ)nbtri.o: nbtri.c nbtri.h $(INC)machdefs.h
